<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:hl7="urn:hl7-org:v3" xmlns:hl7fi="urn:hl7finland" xmlns:java="http://xml.apache.org/xslt/java" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:kela="urn:kela">
	<xsl:output version="1.0" method="xml" encoding="UTF-8" indent="no"/>
	<!-- Locations of image files -->
	<!-- Path, must end with \ (windows) or / (unix) -->
	<xsl:variable name="imagesPath" select="''"/>
	<xsl:variable name="kantaLogoFI" select="concat($imagesPath,'Kanta_RGB.png')"/>
	<xsl:variable name="kantaLogoSE" select="concat($imagesPath,'Kanta_RGB.png')"/>
	<xsl:variable name="kelaLogoFI" select="concat($imagesPath,'Kela.png')"/>
	<xsl:variable name="kelaLogoSE" select="concat($imagesPath,'Fpa.png')"/>
	<!-- ################# -->
	<xsl:variable name="XML" select="/"/>
	<!-- på svenska? -->
	<xsl:variable name="sv">
		<xsl:choose>
			<xsl:when test="string($XML/hl7:ClinicalDocument/hl7:languageCode/@code)='sv'">
				<xsl:value-of select="true()"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="false()"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:template match="/">
		<fo:root font-size="12pt">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="page-master-174104000" margin-left="0.60in" margin-right="0.8in" page-height="11.69in" page-width="8.27in" margin-top="0.10in" margin-bottom="0.3in">
					<fo:region-body margin-top="1.75in" margin-bottom="0.6in" column-count="1" column-gap="0.50in"/>
					<fo:region-before region-name="page-header" extent="1.75in"/>
					<fo:region-after region-name="page-footer" extent="0.49in"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="page-master-174104000" initial-page-number="auto" force-page-count="no-force">
				<fo:static-content flow-name="page-header">
					<fo:block margin="0pt">
						<fo:table table-layout="fixed" width="100%">
							<fo:table-column column-width="proportional-column-width(1)"/>
							<fo:table-column column-width="proportional-column-width(1)"/>
							<fo:table-body start-indent="0pt">
								<fo:table-row>
									<fo:table-cell display-align="center">
										<fo:block text-align="left">
											<xsl:choose>
												<xsl:when test="$sv='true'">
													<fo:external-graphic content-height="0.83cm" scaling="uniform" src="{$kelaLogoSE}"/>
												</xsl:when>
												<xsl:otherwise>
													<fo:external-graphic content-height="0.83cm" scaling="uniform" src="{$kelaLogoFI}"/>
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding="2pt" display-align="center">
										<fo:block text-align="right">
											<xsl:choose>
												<xsl:when test="$sv='true'">
													<fo:external-graphic content-height="0.74cm" scaling="uniform" src="{$kantaLogoSE}"/>
												</xsl:when>
												<xsl:otherwise>
													<fo:external-graphic content-height="0.74cm" scaling="uniform" src="{$kantaLogoFI}"/>
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block>
					<fo:block text-align="left" margin-left="2in">
						<fo:inline font-weight="bold">
							<xsl:choose>
								<xsl:when test="$sv='true'">
									<xsl:text>FÖRBUD MOT UTLÄMNANDE AV UPPGIFTER/</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>TIETOJEN LUOVUTUSKIELTO / </xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</fo:inline>
						<fo:block/>
						<fo:inline font-weight="bold">
							<xsl:choose>
								<xsl:when test="$sv='true'">
									<fo:inline>
										<xsl:text>ÅTERKALLANDE AV FÖRBUD MOT </xsl:text>
									</fo:inline>
									<fo:block />
									<fo:inline>
										<xsl:text>UTLÄMNANDE AV UPPGIFTER</xsl:text>
									</fo:inline>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>LUOVUTUSKIELLON PERUMINEN</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</fo:inline>
						<fo:block/>
						<xsl:choose>
							<xsl:when test="$sv='true'">
								<fo:inline font-style="italic">
									<xsl:text>Utlämnande av uppgifter som lagrats i Receptcentret </xsl:text>
								</fo:inline>
							</xsl:when>
							<xsl:otherwise>
								<fo:inline font-style="italic">
									<xsl:text>Reseptikeskukseen tallennettujen tietojen </xsl:text>
								</fo:inline>
								<fo:block/>
								<fo:inline font-style="italic">
									<xsl:text>luovuttaminen</xsl:text>
								</fo:inline>
							</xsl:otherwise>
						</xsl:choose>
						<fo:block/>
					</fo:block>
				</fo:static-content>
				<fo:static-content flow-name="page-footer">
					<fo:block-container height="0.49in" overflow="hidden" display-align="after">
						<fo:block>
							<fo:table width="100%" table-layout="fixed" border-spacing="2pt">
								<fo:table-column column-width="proportional-column-width(1)"/>
								<fo:table-column column-width="4.940in"/>
								<fo:table-column column-width="0.580in"/>
								<fo:table-body start-indent="0pt">
									<fo:table-row>
										<fo:table-cell font-size="10pt" padding="2pt" display-align="center">
											<fo:block text-align="right">
												<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='29' or hl7:code/@code='1.2.246.537.6.12.2002.370.29') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell font-size="10pt" padding="0" display-align="center">
											<fo:block text-align="center">
												<fo:inline>
													<xsl:choose>
														<xsl:when test="$sv='true'">
															<xsl:text>Utskriftsdatum: </xsl:text>
														</xsl:when>
														<xsl:otherwise>
															<xsl:text>Tulostuspäivämäärä: </xsl:text>
														</xsl:otherwise>
													</xsl:choose>
												</fo:inline>
												<fo:inline>
													<xsl:choose>
														<xsl:when test="system-property('xsl:vendor-url')='http://www.microsoft.com' or system-property('xsl:vendor-url')='http://www.altova.com'">
															<xsl:value-of select="kela:currentDate()"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="java:format(java:java.text.SimpleDateFormat.new('dd.MM.yyyy'), java:java.util.Date.new())"/>
														</xsl:otherwise>
													</xsl:choose>
												</fo:inline>
											</fo:block>
											<!-- MIKÄ TÄMÄ ON ?-->
											<fo:block text-align="center">
												<fo:inline>
													<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='29' or hl7:code/@code='1.2.246.537.6.12.2002.370.30') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text"/>
												</fo:inline>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell font-size="10pt" padding="0" display-align="center">
											<fo:block text-align="right">
												<xsl:call-template name="pages"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
						</fo:block>
					</fo:block-container>
				</fo:static-content>
				<fo:flow flow-name="xsl-region-body">
					<fo:block>
						<xsl:choose>
							<xsl:when test="$sv='true'">
								<fo:block margin="0pt" space-after="1.12em">
									<fo:inline>
										<xsl:text>Jag har antingen muntligen, skriftligen eller via e-tjänsten (broschyren Elektroniska recept – Patientdataarkivet) fått information om Kanta-tjänsterna och om elektroniska recept samt information om hur de samtycken och förbud som jag ger påverkar behandlingen av mina receptuppgifter. </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:text>Jag är medveten om att de uppgifter som omfattas av eventuella förbud mot utlämnande inte är tillgängliga, om jag inte nedan separat har gett mitt samtycke till att uppgifterna får lämnas ut i en nödsituation. Utan mitt samtycke kan uppgifterna inte användas ens i sådana situationer där jag på grund av en livshotande akut sjukdom eller skada är medvetslös och därför oförmögen att återkalla det förbud som jag meddelat. I samband med att jag köper läkemedel på apoteket måste jag visa upp en patientanvisning eller en utskriven sammanställning som gäller de recept som omfattas av förbud.</xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:text>De receptuppgifter som omfattas av mitt förbud lämnas inte ut till verksamhetsenheter för apotek, hälso- och sjukvård eller socialvård, och inte heller till läkemedelsförskrivare.</xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em">
									<fo:inline>
										<xsl:text>Oberoende av om ett recept omfattas av förbud </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;visas uppgifter om alla HCI-läkemedel och narkotiska läkemedel som jag har blivit ordinerad samt expedieringsuppgifterna om dem, i sådana fall då en läkare tänker skriva ut ett recept på HCI-läkemedel eller ett narkotiskt läkemedel till mig (HCI-läkemedel är ett läkemedel som huvudsakligen inverkar på det centrala nervsystemet) </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;får uppgifter om de recept som jag bett att få förnyade lämnas till en verksamhetsenhet för hälso- och sjukvård eller socialvård eller till en läkemedelsförskrivare </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;får under den tid en vårdrelation pågår uppgifter lämnas till en läkemedelsförskrivare om de recept som han eller hon har skrivit ut och expedieringsuppgifterna om dem </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;lämnas till en läkemedelsförskrivare uppgifter om de recept som apoteket har lagrat i Receptcentret och för vilka han eller hon har antecknats som förskrivare samt de expeditionsuppgifter som gäller dessa recept </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-after="1.12em">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;kan vid störningar och problemsituationer i datasystemen uppgifter visas för den tekniska personalen hos tillhandahållare av hälso- och sjukvårdstjänster, Folkpensionsanstalten eller informationssystemets leverantör i den omfattning som krävs för att störningarna ska kunna åtgärdas. </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:text>Förbuden mot att lämna ut uppgifter gäller tills vidare. Om jag så önskar kan jag hos en tillhandahållare av hälso- och sjukvårdstjänster eller via e-tjänsten Mina Kanta-sidor återkalla ett förbud mot att lämna ut uppgifter eller meddela nya förbud. </xsl:text>
									</fo:inline>
								</fo:block>
							</xsl:when>
							<xsl:otherwise>
								<fo:block margin="0pt" space-after="1.12em">
									<fo:inline>
										<xsl:text>Olen saanut joko suullisesti, kirjallisesti tai sähköisen palvelun välityksellä (esite Sähköinen resepti - Potilastiedon arkisto) tiedot Kanta-palveluista ja sähköisestä reseptistä sekä tiedot antamieni suostumusten ja kieltojen vaikutuksista reseptitietojeni käsittelyyn. </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:text>Olen tietoinen siitä, että mahdollisten luovutuskieltojen kattamat tiedot eivät ole käytettävissä, ellen ole alla erikseen antanut suostumustani tietojen luovuttamiseen hätätilanteessa. Ilman suostumustani tietoja ei voi käyttää edes siinä tapauksessa, että olisin äkillisen henkeä uhkaavan sairauden tai loukkaantumisen vuoksi tajuton enkä sen vuoksi kykenisi peruuttamaan tekemääni kieltoa. Lääkkeen oston yhteydessä minun tulee esittää apteekissa kieltämistäni resepteistä potilasohje tai tulostettu yhteenveto. </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:text>Kieltämiäni reseptitietoja ei luovuteta apteekeille, terveydenhuollon tai sosiaalihuollon toimintayksiköille eikä lääkkeiden määrääjille.</xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em">
									<fo:inline>
										<xsl:text>Reseptiin tehdystä kiellosta huolimatta näytetään: </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;tiedot kaikista minulle määrätyistä PKV- ja huumausainelääkkeistä ja niiden toimitustiedoista silloin, kun lääkäri on kirjoittamassa minulle PKV- tai huumausainereseptiä (PKV-lääke on pääasiallisesti keskushermostoon vaikuttava lääke)</xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;terveydenhuollon tai sosiaalihuollon toimintayksikölle taikka lääkkeen määrääjälle tiedot uusittavaksi pyytämistäni resepteistä </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;lääkkeen määrääjälle hoitosuhteen jatkuessa tiedot hänen kirjoittamistaan resepteistä ja niiden toimitustiedoista </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;lääkkeen määrääjälle tiedot niistä apteekin Reseptikeskukseen tallentamista resepteistä, joihin hänet on merkitty lääkkeen määrääjäksi, sekä näiden reseptien toimitustiedoista </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-after="1.12em">
									<fo:inline>
										<xsl:text>&#160;&#160;&#160;•&#xA0;&#xA0;tietojärjestelmien häiriö- ja virhetilanteissa terveydenhuollon palvelujen antajan, Kelan tai tietojärjestelmän toimittajan tekniselle henkilöstölle tiedot siinä laajuudessa, kun häiriötilanteen selvittely edellyttää. </xsl:text>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:text>Tietojen luovutuskiellot ovat voimassa toistaiseksi. Voin halutessani peruuttaa tekemäni luovutuskiellon tai tehdä uusia kieltoja joko terveydenhuollon palvelujen antajan luona tai Omakanta-palvelun kautta. </xsl:text>
									</fo:inline>
								</fo:block>
								<!--								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:text></xsl:text>
									</fo:inline>
								</fo:block>
-->
							</xsl:otherwise>
						</xsl:choose>
						<!-- Kieltojen tulostus alkaa -->
						<xsl:variable name="noOptOuts" select="$XML//hl7:section[(hl7:code/@code='5' or hl7:code/@code='1.2.246.537.6.12.2002.370.5') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:entry/hl7:observation/hl7:value/@value"/>
						<fo:block margin="0pt" space-before="1.12em" space-after="1.12em" keep-with-next.within-page="always">
							<fo:inline font-weight="bold">
								<xsl:choose>
									<xsl:when test="$sv='true'">
										<xsl:text>Gällande förbud</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>Voimassa olevat kiellot</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string($noOptOuts)='true'">
									<xsl:choose>
										<xsl:when test="$sv='true'">
											<xsl:text>: Inga gällande förbud mot att lämna ut receptuppgifter </xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>: Ei voimassa olevia reseptien luovutuskieltoja</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>
							</fo:inline>
						</fo:block>
						<xsl:choose>
							<xsl:when test="string($noOptOuts)='true'">
								</xsl:when>
							<xsl:otherwise>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em" keep-with-next.within-page="always">
									<fo:inline font-weight="bold">
										<xsl:choose>
											<xsl:when test="$sv='true'">
												<xsl:text>Recept som mitt förbud mot att lämna ut uppgifter gäller </xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>Reseptit, joiden tietojen luovuttamisen olen kieltänyt </xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<xsl:for-each select="$XML//hl7:section[(hl7:code/@code='7' or hl7:code/@code='1.2.246.537.6.12.2002.370.7') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']">
										<fo:inline>
											<xsl:choose>
												<xsl:when test="$sv='true'">
													<xsl:text>Förskrivningsdatum: </xsl:text>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text>Määräyspäivä: </xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</fo:inline>
										<fo:inline>
											<xsl:for-each select="hl7:component/hl7:section[(hl7:code/@code='12' or hl7:code/@code='1.2.246.537.6.12.2002.370.12') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:entry/hl7:observation/hl7:value">
												<xsl:call-template name="formatdatetime">
													<xsl:with-param name="datetime" select="./@value"/>
													<xsl:with-param name="skiptime" select="true"/>
												</xsl:call-template>
												<!--<xsl:text> – </xsl:text>
												<xsl:call-template name="formatdatetime">
													<xsl:with-param name="datetime" select="hl7:high/@value"/>
													<xsl:with-param name="skipsec" select="true"/>
												</xsl:call-template>-->
											</xsl:for-each>
										</fo:inline>
										<fo:block/>
										<fo:inline>
											<xsl:choose>
												<xsl:when test="$sv='true'">
													<xsl:text>Förskrivare: </xsl:text>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text>Määrääjä: </xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</fo:inline>
										<fo:inline>
											<xsl:for-each select="hl7:component/hl7:section[(hl7:code/@code='11' or hl7:code/@code='1.2.246.537.6.12.2002.370.11') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text">
												<xsl:value-of select="."/>
												<xsl:text> </xsl:text>
											</xsl:for-each>
										</fo:inline>
										<fo:block/>
										<fo:inline>
											<xsl:choose>
												<xsl:when test="$sv='true'">
													<xsl:text>Läkemedel: </xsl:text>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text>Lääke: </xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</fo:inline>
										<!--<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">-->
										<fo:inline>
										<xsl:for-each select="hl7:component/hl7:section[(hl7:code/@code='9' or hl7:code/@code='1.2.246.537.6.12.2002.370.9') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text">
											<xsl:value-of select="."/>
										</xsl:for-each>
										</fo:inline>
										<fo:block margin="0pt" space-after="1.12em" keep-with-next.within-page="always"/>
									</xsl:for-each>
									<!--</fo:block>-->
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em" keep-with-next.within-page="always">
									<fo:inline font-weight="bold">
										<xsl:choose>
											<xsl:when test="$sv='true'">
												<xsl:text>Utlämnande av uppgifter i en nödsituation</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>Luovuttaminen hätätilanteessa</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</fo:inline>
								</fo:block>
								<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
									<fo:inline>
										<xsl:choose>
											<xsl:when test="$sv='true'">
												<xsl:text>De förbjudna uppgifterna får lämnas ut i en nödsituation (gäller också eventuella förbud som är i kraft redan nu): </xsl:text>
												<fo:block />
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>Kielletyt tiedot voidaan luovuttaa hätätilanteessa (koskee myös mahdollisesti jo olemassa olevia kieltoja): </xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</fo:inline>
									<xsl:variable name="emergency" select="$XML//hl7:section[(hl7:code/@code='6' or hl7:code/@code='1.2.246.537.6.12.2002.370.6') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:entry/hl7:observation/hl7:value/@value">
										</xsl:variable>
									<fo:inline>
										<xsl:choose>
											<xsl:when test="string($emergency)='true'">
												<xsl:choose>
													<xsl:when test="$sv='true'">
														<xsl:text>( x ) Ja (   ) Nej</xsl:text>
													</xsl:when>
													<xsl:otherwise>
														<xsl:text>( x ) Kyllä (   ) Ei</xsl:text>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<xsl:otherwise>
												<xsl:choose>
													<xsl:when test="$sv='true'">
														<xsl:text>(   ) Ja ( x ) Nej</xsl:text>
													</xsl:when>
													<xsl:otherwise>
														<xsl:text>(   ) Kyllä ( x ) Ei</xsl:text>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:otherwise>
										</xsl:choose>
									</fo:inline>
								</fo:block>
								<fo:block/>
							</xsl:otherwise>
						</xsl:choose>
						<!-- Kieltojen tulostus loppuu -->
						<fo:block margin="0pt" space-before="1.12em" space-after="1.12em" keep-with-next.within-page="always">
							<fo:inline font-weight="bold">
								<xsl:choose>
									<xsl:when test="$sv='true'">
										<xsl:text>Patientens personuppgifter</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>Potilaan henkilötiedot</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</fo:inline>
						</fo:block>
						<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
							<fo:table-column column-width="proportional-column-width(1)"/>
							<fo:table-column column-width="proportional-column-width(1)"/>
							<fo:table-body start-indent="0pt">
								<fo:table-row keep-with-next="always">
									<fo:table-cell padding="2pt" display-align="center">
										<fo:block text-align="left">
											<fo:inline>
												<xsl:choose>
													<xsl:when test="$sv='true'">
														<xsl:text>Efternamn, alla förnamn</xsl:text>
													</xsl:when>
													<xsl:otherwise>
														<xsl:text>Sukunimi, etunimet</xsl:text>
													</xsl:otherwise>
												</xsl:choose>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding="2pt" display-align="center">
										<fo:block text-align="left">
											<fo:inline>
												<xsl:choose>
													<xsl:when test="$sv='true'">
														<xsl:text>Personbeteckning</xsl:text>
													</xsl:when>
													<xsl:otherwise>
														<xsl:text>Henkilötunnus</xsl:text>
													</xsl:otherwise>
												</xsl:choose>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell padding="2pt" display-align="center">
										<fo:block text-align="left">
											<fo:inline>
												<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='16' or hl7:code/@code='1.2.246.537.6.12.2002.370.16') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text"/>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding="2pt" display-align="center">
										<fo:block text-align="left">
											<fo:inline>
												<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='17' or hl7:code/@code='1.2.246.537.6.12.2002.370.17') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text"/>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
						<xsl:variable name="patientCannotSign" select="$XML//hl7:section[(hl7:code/@code='18' or hl7:code/@code='1.2.246.537.6.12.2002.370.18') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:entry/hl7:observation/hl7:value/@value"/>
						<xsl:if test="string($patientCannotSign)='true'">
							<fo:block margin="0pt" space-before="1.12em" space-after="1.12em">
								<fo:inline>
									<xsl:choose>
										<xsl:when test="$sv='true'">
											<xsl:text>Patienten är till exempel på grund av sjukdom eller skada oförmögen att underteckna blanketten. </xsl:text>
											<fo:block />
											<xsl:text>Ja, motivering:&#160;</xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>Potilas ei esimerkiksi sairauden tai vamman takia kykene allekirjoittamaan lomaketta. </xsl:text>
											<fo:block />
											<xsl:text>Kyllä, peruste:&#160;</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</fo:inline>
								<fo:inline>
									<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='19' or hl7:code/@code='1.2.246.537.6.12.2002.370.19') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text"/>
								</fo:inline>
							</fo:block>
						</xsl:if>
						<fo:block margin="0pt" space-before="1.12em" space-after="1.12em" keep-with-next.within-page="always">
							<fo:inline font-weight="bold">
								<xsl:choose>
									<xsl:when test="$sv='true'">
										<xsl:text>Underskrift av den som meddelar förbud/återkallar förbud mot att lämna ut uppgifter </xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>Luovutuskiellon asettajan / luovutuskiellon peruuttajan allekirjoitus</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</fo:inline>
						</fo:block>
						<xsl:if test="string($patientCannotSign)='true'">
							<fo:block margin="0pt" space-before="1.12em" space-after="1.12em" keep-with-next.within-page="always">
								<fo:inline font-weight="bold">
									<xsl:choose>
										<xsl:when test="$sv='true'">
											<xsl:text>På patientens vägnar </xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>Potilaan puolesta</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</fo:inline>
							</fo:block>
						</xsl:if>
						<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
							<!--<fo:table-column column-width="proportional-column-width(1)"/>-->
							<fo:table-column column-width="20%"/>
							<fo:table-column column-width="proportional-column-width(1)"/>
							<fo:table-body start-indent="0pt">
								<fo:table-row keep-with-next="always">
									<fo:table-cell padding="2pt" display-align="center">
										<fo:block margin="0pt" space-before="3.5em" keep-with-next.within-page="always">
											<fo:inline>
												<xsl:for-each select="$XML//hl7:section[(hl7:code/@code='22' or hl7:code/@code='1.2.246.537.6.12.2002.370.22') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:entry/hl7:observation/hl7:value">
													<xsl:call-template name="formatdatetime">
														<xsl:with-param name="datetime" select="@value"/>
														<xsl:with-param name="skipsec" select="true"/>
													</xsl:call-template>
												</xsl:for-each>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block>
											<fo:inline>
												<xsl:text>____________________________________&#160;&#160;&#160;</xsl:text>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block/>
										<!--<fo:inline/>-->
									</fo:table-cell>
									<fo:table-cell>
										<fo:block margin="0pt" space-after="1.12em">
											<fo:inline>
												<xsl:choose>
													<xsl:when test="$XML//hl7:section[(hl7:code/@code='21' or hl7:code/@code='1.2.246.537.6.12.2002.370.21') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']//hl7:given[@qualifier='CL']">
														<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='21' or hl7:code/@code='1.2.246.537.6.12.2002.370.21') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']//hl7:given[@qualifier='CL']"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='21' or hl7:code/@code='1.2.246.537.6.12.2002.370.21') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']//hl7:given[1]"/>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:text>&#160;</xsl:text>
												<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='21' or hl7:code/@code='1.2.246.537.6.12.2002.370.21') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']//hl7:family"/>
											</fo:inline>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
						<fo:block margin="0pt" space-before="1.12em" space-after="1.12em" keep-with-next.within-page="always">
							<fo:inline font-weight="bold">
								<xsl:choose>
									<xsl:when test="$sv='true'">
										<xsl:text>Handlingen lagrades av</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>Asiakirjan tallentaja</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</fo:inline>
						</fo:block>
						<fo:block margin="0pt" space-before="1.12em">
							<fo:inline>
								<xsl:value-of select="$XML//hl7:section[(hl7:code/@code='26' or hl7:code/@code='1.2.246.537.6.12.2002.370.26') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text"/>
							</fo:inline>
							<!--							<xsl:for-each select="$XML//hl7:section[(hl7:code/@code='26' or hl7:code/@code='1.2.246.537.6.12.2002.370.26') and hl7:code/@codeSystem='1.2.246.537.6.12.2002.370']/hl7:text">
								<fo:inline>
									<xsl:value-of select="."/>
									<xsl:text> </xsl:text>
								</fo:inline>
							</xsl:for-each>
-->
							<fo:inline id="SV_RefID_PageTotal"/>
						</fo:block>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<xsl:template name="formatdatetime">
		<xsl:param name="datetime"/>
		<xsl:param name="skiptime"/>
		<!-- skips time if value is not empty -->
		<xsl:param name="skipsec"/>
		<!-- skips seconds if value is not empty -->
		<!-- pp-->
		<xsl:if test='substring ($datetime, 7, 2)!=""'>
			<xsl:choose>
				<xsl:when test="substring($datetime,7,1)!='0'">
					<xsl:value-of select="substring ($datetime,7, 2)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="substring ($datetime,8, 1)"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:text>.</xsl:text>
		</xsl:if>
		<!-- kk-->
		<xsl:if test='substring ($datetime, 5, 2)!=""'>
			<xsl:choose>
				<xsl:when test="substring($datetime,5,1)!='0'">
					<xsl:value-of select="substring ($datetime,5, 2)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="substring ($datetime,6, 1)"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:text>.</xsl:text>
		</xsl:if>
		<!-- vvvv-->
		<xsl:value-of select="substring ($datetime, 1, 4)"/>
		<xsl:if test="$skiptime=''">
			<xsl:if test='substring ($datetime, 9, 2)!=""'>
				<xsl:text>&#160;</xsl:text>
				<!-- hh-->
				<xsl:choose>
					<xsl:when test="substring($datetime,9,1)!='0'">
						<xsl:value-of select="substring ($datetime,9, 2)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring ($datetime,10, 1)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
			<!-- mm -->
			<xsl:if test='substring ($datetime, 11, 2)!=""'>
				<xsl:text>.</xsl:text>
				<xsl:value-of select="substring ($datetime,11, 2)"/>
			</xsl:if>
			<!-- ss -->
			<xsl:if test='substring ($datetime, 13, 2)!="" and $skipsec=""'>
				<xsl:text>.</xsl:text>
				<xsl:value-of select="substring ($datetime,13, 2)"/>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:template name="pages">
		<fo:block>
			<fo:page-number/> (<fo:page-number-citation ref-id="SV_RefID_PageTotal"/>)</fo:block>
	</xsl:template>
	<msxml:script xmlns:msxml="urn:schemas-microsoft-com:xslt" language="JavaScript" implements-prefix="kela">
		function currentDate(){
			var date = new Date();
			return date.getDate() + '.' + [date.getMonth() + 1] + "." + date.getYear();
		};
	</msxml:script>
</xsl:stylesheet>
